Bug 1449698 - [HCI] - hosted-engine --vm-status output has to be changed
Summary: [HCI] - hosted-engine --vm-status output has to be changed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Laura Bailey
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-05-10 13:20 UTC by RamaKasturi
Modified: 2017-11-17 05:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-29 04:10:52 UTC


Attachments (Terms of Use)

Description RamaKasturi 2017-05-10 13:20:28 UTC
Document URL: https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html-single/maintaining_red_hats_hyper-converged_infrastructure/#configure-encryption

Section Number and Name: 4.1. CONFIGURING TLS/SSL USING SELF-SIGNED CERTIFICATES

Describe the issue: In point no.13 of the above section  i see that hosted-engine --vm-status is put as same in all the nodes.

Suggestions for improvement: hosted-engine --vm-status has to be changed as vm can be up and running only on one host and the other host will not report the engine status as good on all nodes.

hosted-engine --vm-status | grep 'Engine status'
Engine status                      : {"health": "good", "vm": "up", "detail": "up"}
Engine status                      : {"health": "good", "vm": "up", "detail": "up"}
Engine status                      : {"health": "good", "vm": "up", "detail": "up"}

hosted-engine --vm-status | grep 'Engine status'
Engine status                      : {"health": "good", "vm": "up", "detail": "up"}
Engine status                      : {"reason": "vm not running on this host", "health": "bad", "vm": "down", "detail": "unknown"}
Engine status                      : {"reason": "vm not running on this host", "health": "bad", "vm": "down", "detail": "unknown"}

Additional information:

Comment 9 RamaKasturi 2017-05-16 07:42:09 UTC
Verified in the link provided in comment 8 and the changes looks good to me.

Below is the content in the doc.

hosted-engine --vm-status | grep 'Engine status'
Engine status   : {"health": "good", "vm": "up", "detail": "up"}
Engine status   : {"reason": "vm not running on this host",
  "health": "bad", "vm": "down", "detail": "unknown"}
Engine status   : {"reason": "vm not running on this host",
  "health": "bad", "vm": "down", "detail": "unknown"}

Comment 10 Laura Bailey 2017-08-29 04:10:52 UTC
Fixed in RHGS 3.3 documentation.


Note You need to log in before you can comment on or make changes to this bug.